local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_BALANCING_START",
    }
})



-- Event: Start ---------------------------------------------------------------------------------------------
-- List of all resources affected by production
local listEventResourcePrimary = {
    "BERRIES",
    "MILK",
    "FISH",
    "BV1_EGG",
    "RESOURCE_POULTRY",
    "RESOURCE_VEGETABLE",
    "RESOURCE_MUSHROOM",
    "WHEAT",
    "WOOD",
    "STONE",
    "WOOL",
    "HOP",
    "GRAPES",
    "RESOURCE_FRUIT",
    "HONEY",
    "HERBS",
    "BV1_SALT",
    "BV1_SUGAR",
    "RESOURCE_RABBIT",
    "RESOURCE_CATTLE",
    "RESOURCE_SHEEP",
    "RESOURCE_GOAT",
    "RESOURCE_PIG",
}

mod:registerAsset({
	DataType = "EVENT",
    Id = "EVENT_BALANCING_START",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 0,
	ConditionList = {
		{
            DataType = "GAME_CONDITION_VILLAGER_STATUS_REACHED",
            AssetVillagerStatus = "NEWCOMER",
            NumberRequired = 1
		}
	},
	ActionList = {
        {
            DataType = "EVENT_ACTION_GIVE_REWARD",
            ActionList = {
                {
                    DataType = "QUEST_REWARD_TERRITORY",
                    Amount = 2
                }
            }
        },
        {
            DataType = "GAME_ACTION_APPLY_GAME_RULE",
            RuleModifier = {
                DataType = "GAME_RULE_MODIFIER_CROP_YIELDS",
                ResourceList = listEventResourcePrimary,
                YieldPercentage = 0.50,
                IsUntilRemoval = true,
                -- Duration = 999999
            },
        },
    },
})


